Bug 39004 - cyrus mailquota.py is registered without minimum ucs version
cyrus mailquota.py is registered without minimum ucs version
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-2-errata
Assigned To: Sönke Schwardt-Krummrich
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-22 13:13 CEST by Erik Damrose
Modified: 2015-07-28 15:49 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2015-07-22 13:13:08 CEST
univention-mail-cyrus/81univention-mail-cyrus.inst registers mailquota.py without giving a minimum UCS version. This causes the module to be replicated to systems where the module will fail to load, causing udm to become unuseable.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-07-22 17:52:25 CEST
Changes comitted ; build in errata scope is pending
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-07-23 13:43:04 CEST
mailquota.py introduced with errata 236 for UCS 4.0-2 contains some API specific command that have been introduced with errata 217 (univention-directory-manager-modules). Since mailquota.py is installed domain wide via registerLDAPExtensions this breaks systems that are still on UCS 4.0-0 or 4.0-1 or 4.0-2 below errata level 217.

Because of Bug #39010 and #39011 it is not possible to store multiple versions of mailquota.py in LDAP and also not possible to define that the UDM module is only distributed to systems with UCS 4.0-2 errata 217 and onwards.

The mailquota.py module has been adapted to provide the old and the new version simultaneously. Which version is used depends on the success of the python module import of the new API functions.

Nevertheless ucsversionstart has been set to "4.0-2" and the join script version number has also been increased. "4.0-2" has been chosen after discussing with our support team. A update to 4.0-2 with latest errata level should be sufficient to fix the problem on affected UCS systems.

All changes have already been merged to UCS 4.1-0.

univention-mail-cyrus (7.0.4-1):
r62352 | Bug #39004: mailquota.py now contains code for both API versions
r62324 | Bug #39004: added changelog entry
r62323 | Bug #39004: readded missing translations
r62322 | Bug #39004: switch back to mailquota.py version of UCS 4.0-2 (not latest errata version)
r62321 | Bug #39004: set ucsversionstart for registered UDM module policy/mailquota

2015-07-23-univention-mail-cyrus.yaml:
r62358 | Bug #39004: added yaml

Tested with and without errata 217 on a UCS 4.0-2 system.
Update from "broken" to latest version was successful.
Comment 3 Erik Damrose univentionstaff 2015-07-27 15:50:47 CEST
r62424 Fix yaml

> Update from "broken" to latest version was successful.
Reopen: In my tests the replication was not successful on a UCS < 4.0-2. I think if the fixed mailquota.py is registered with --ucsversionstart 4.0-2 it is never replicated to another server with a lower version.
As i see it, the current code works for all affected UCS versions. Thus, the ucsversionstart option could be ommited.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-07-28 09:35:11 CEST
(In reply to Erik Damrose from comment #3)
> > Update from "broken" to latest version was successful.
> Reopen: In my tests the replication was not successful on a UCS < 4.0-2. I
> think if the fixed mailquota.py is registered with --ucsversionstart 4.0-2
> it is never replicated to another server with a lower version.
> As i see it, the current code works for all affected UCS versions. Thus, the
> ucsversionstart option could be ommited.

As discussed with Erik the ucsversionstart is lowered to "3.2-0".

YAML and package has been updated.
Comment 5 Erik Damrose univentionstaff 2015-07-28 10:14:26 CEST
OK: Replication to different UCS roles and versions
OK: yaml
-> Verified
Comment 6 Janek Walkenhorst univentionstaff 2015-07-28 15:49:17 CEST
<http://errata.univention.de/ucs/4.0/261.html>